Posts
Google Place Posts Parameters
GET /search?engine=google&search_type=place_posts
The Google Place Posts Parameters are applicable when making a request with search_type=place_posts to retrieve place posts for a Place. The Place is specified in the data_id parameter, data_id values are returned from search_type=places Places requests.

For example, to request place post results for a Place with data_id=0x87b7122bd8e99a89:0xf20c18461109b2c0 , the request would be:
https://api.serpwow.com/live/search?api_key=demo&search_type=place_posts&data_id=0x87b7122bd8e99a89:0xf20c18461109b2c0Google Place Posts Parameters
The following parameters are available for all requests made when search_type=place_posts .
Parameter | Required | Description |
|---|---|---|
engine | required | Should be set to engine=google . |
search_type | required | Should be set to search_type=place_posts . |
data_id | required | The data_id of the Place to retrieve place posts for. data_id values are returned in Places requests . |
hl | optional | The hl parameter determines the Google UI language to return results. View the full list of supported hl values here . Defaults to en . |
next_page_token | optional | Place Posts results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each search_type=place_posts result will return a next_page_token in its' pagination object. This next_page_token can be passed in to the next_page_token request parameter to retrieve the next page of place reviews results. |
Next Steps Google Place Posts Results